
From: Adrian Bunk <bunk@stusta.de>

Linus changed the second argument of __vmalloc from int to unsigned int 
breaking the compilation for CONFIG_MMU=n configurations (since he only 
changed vmalloc.c but not nommu.c).

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/nommu.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN mm/nommu.c~mm-nommuc-try-to-fix-__vmalloc mm/nommu.c
--- 25/mm/nommu.c~mm-nommuc-try-to-fix-__vmalloc	2005-05-13 23:17:03.000000000 -0700
+++ 25-akpm/mm/nommu.c	2005-05-13 23:17:20.000000000 -0700
@@ -150,7 +150,8 @@ void vfree(void *addr)
 	kfree(addr);
 }
 
-void *__vmalloc(unsigned long size, int gfp_mask, pgprot_t prot)
+void *__vmalloc(unsigned long size, unsigned int __nocast gfp_mask,
+			pgprot_t prot)
 {
 	/*
 	 * kmalloc doesn't like __GFP_HIGHMEM for some reason
_
